monolog:
    handlers:
        main:
            type:  rotating_file
            path:  '%kernel.logs_dir%/%kernel.environment%.log'
            level: debug
            max_files: 1
        filter_for_errors:
            type: fingers_crossed
            # if *one* log is error or higher, pass *all* to file_log
            action_level: error
            handler: file_log
        file_log:
            type: stream
            path: "%kernel.logs_dir%/%kernel.environment%.log"
        nested:
            type: stream
            path: "%kernel.logs_dir%/%kernel.environment%.log"
            level: error
        console:
            type:   console
            process_psr_3_messages: false
            channels: ["!event", "!doctrine"]
        php_errors:
            type: stream
            level: error
            path: "%kernel.logs_dir%/%kernel.environment%/request.log"
            channels: ["php"]
        appInfos:
            type: stream
            level: debug
            path: "%kernel.logs_dir%/%kernel.environment%/request.log"
            channels: ["app"]
        syslog_handler:
            type: syslog
            # log error-level messages and higher
            level: error